#ifndef CUTELYST_GLOBAL_H
#define CUTELYST_GLOBAL_H

#include <QtCore/QtGlobal>

// defined by cmake when building this library
#if defined(Cutelyst3Qt6_EXPORTS)
#  define CUTELYST_LIBRARY Q_DECL_EXPORT
#else
#  define CUTELYST_LIBRARY Q_DECL_IMPORT
#endif
#if defined(ActionRenderView_EXPORTS)
#  define CUTELYST_PLUGIN_ACTION_RENDERVIEW_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_ACTION_RENDERVIEW_EXPORT Q_DECL_IMPORT
#endif
#if defined(ActionREST_EXPORTS)
#  define CUTELYST_PLUGIN_ACTION_REST_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_ACTION_REST_EXPORT Q_DECL_IMPORT
#endif
#if defined(ActionRoleACL_EXPORTS)
#  define CUTELYST_PLUGIN_ACTION_ROLEACL_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_ACTION_ROLEACL_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6Authentication_EXPORTS)
#  define CUTELYST_PLUGIN_AUTHENTICATION_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_AUTHENTICATION_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6Session_EXPORTS)
#  define CUTELYST_PLUGIN_SESSION_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_SESSION_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6StaticSimple_EXPORTS)
#  define CUTELYST_PLUGIN_STATICSIMPLE_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_STATICSIMPLE_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6StaticCompressed_EXPORTS)
#  define CUTELYST_PLUGIN_STATICCOMPRESSED_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_STATICCOMPRESSED_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6UtilsPagination_EXPORTS)
#  define CUTELYST_PLUGIN_UTILS_PAGINATION_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_UTILS_PAGINATION_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6StatusMessage_EXPORTS)
#  define CUTELYST_PLUGIN_STATUSMESSAGE_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_STATUSMESSAGE_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6Memcached_EXPORTS)
#  define CUTELYST_PLUGIN_MEMCACHED_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_MEMCACHED_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6MemcachedSessionStore_EXPORTS)
#  define CUTELYST_PLUGIN_MEMCACHEDSESSIONSTORE_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_MEMCACHEDSESSIONSTORE_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6CSRFProtection_EXPORTS)
#  define CUTELYST_PLUGIN_CSRFPROTECTION_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_CSRFPROTECTION_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6UtilsSql_EXPORTS)
#  define CUTELYST_PLUGIN_UTILS_SQL_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_UTILS_SQL_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6UtilsValidator_EXPORTS)
#  define CUTELYST_PLUGIN_UTILS_VALIDATOR_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_UTILS_VALIDATOR_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6UtilsLangSelect_EXPORTS)
#  define CUTELYST_PLUGIN_UTILS_LANGSELECT_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_UTILS_LANGSELECT_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6ViewClearSilver_EXPORTS)
#  define CUTELYST_VIEW_CLEARSILVER_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_VIEW_CLEARSILVER_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6ViewEmail_EXPORTS)
#  define CUTELYST_VIEW_EMAIL_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_VIEW_EMAIL_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6ViewGrantlee_EXPORTS)
#  define CUTELYST_VIEW_GRANTLEE_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_VIEW_GRANTLEE_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6ViewCutelee_EXPORTS)
#  define CUTELYST_VIEW_CUTELEE_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_VIEW_CUTELEE_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6ViewJson_EXPORTS)
#  define CUTELYST_VIEW_JSON_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_VIEW_JSON_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6Server_EXPORTS)
#  define CUTELYST_SERVER_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_SERVER_EXPORT Q_DECL_IMPORT
#endif
#if defined(Cutelyst3Qt6UserAgent_EXPORTS)
#  define CUTELYST_PLUGIN_USERAGENT_EXPORT Q_DECL_EXPORT
#else
#  define CUTELYST_PLUGIN_USERAGENT_EXPORT Q_DECL_IMPORT
#endif

#endif // CUTELYST_GLOBAL_H

